<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ManualLayout (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ManualLayout (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":38,"i1":38,"i2":38,"i3":38,"i4":38,"i5":38,"i6":38,"i7":38,"i8":38,"i9":38,"i10":38,"i11":38,"i12":38,"i13":38,"i14":38,"i15":38,"i16":38,"i17":38};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ManualLayout.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LineChartSeries.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ManualLayout.html" target="_top">Frames</a>
        </li>
        <li><a href="ManualLayout.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel.charts</div>
    <h2 title="Interface ManualLayout" class="title">Interface ManualLayout</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xssf/usermodel/charts/XSSFManualLayout.html"
                           title="class in org.apache.poi.xssf.usermodel.charts">XSSFManualLayout</a></dd>
                </dl>
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">use XDDFManualLayout instead</span></div>
                </div>
                <br>
                <pre>@Deprecated
 <a href="../../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public interface <span class="typeNameLabel">ManualLayout</span></pre>
                <div class="block">High level representation of chart element manual layout.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getHeightMode--">getHeightMode</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current height mode of this</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getHeightRatio--">getHeightRatio</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current fraction of the height of the chart.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutTarget.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutTarget</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getTarget--">getTarget</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current layout target.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getWidthMode--">getWidthMode</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current width mode of this manual layout.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getWidthRatio--">getWidthRatio</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current fraction of the width of the chart.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getX--">getX</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns the x location of the chart element.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getXMode--">getXMode</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current x-coordinnate layout mode.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getY--">getY</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current y location of the chart element.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#getYMode--">getYMode</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Returns current y-coordinate layout mode.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setHeightMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">setHeightMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Specifies how to interpret the Height element for this manual
                                        layout.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setHeightRatio-double-">setHeightRatio</a></span>(double&nbsp;ratio)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Specifies the height (if Height Mode is Factor) or bottom (if
                                        Height Mode is edge) of the chart element as a fraction of the
                                        height of the chart.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setTarget-org.apache.poi.ss.usermodel.charts.LayoutTarget-">setTarget</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutTarget.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutTarget</a>&nbsp;target)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the layout target.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setWidthMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">setWidthMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Specifies how to interpret the Width element for this manual
                                        layout.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setWidthRatio-double-">setWidthRatio</a></span>(double&nbsp;ratio)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Specifies the width (if Width Mode is Factor) or right (if
                                        Width Mode is Edge) of the chart element as a fraction of the
                                        width of the chart.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setX-double-">setX</a></span>(double&nbsp;x)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Specifies the x location (left) of the chart element as a
                                        fraction of the width of the chart.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setXMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">setXMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the x-coordinate layout mode.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setY-double-">setY</a></span>(double&nbsp;y)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Specifies the y location (top) of the chart element as a
                                        fraction of the height of the chart.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ManualLayout.html#setYMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">setYMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    <div class="block">Sets the y-coordinate layout mode.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setTarget-org.apache.poi.ss.usermodel.charts.LayoutTarget-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTarget</h4>
                                <pre>void&nbsp;setTarget(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutTarget.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutTarget</a>&nbsp;target)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the layout target.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>target</code> - new layout target.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTarget--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTarget</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutTarget.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutTarget</a>&nbsp;getTarget()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current layout target.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>current layout target</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setXMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXMode</h4>
                                <pre>void&nbsp;setXMode(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the x-coordinate layout mode.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mode</code> - new x-coordinate layout mode.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getXMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXMode</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;getXMode()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current x-coordinnate layout mode.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>current x-coordinate layout mode.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setYMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setYMode</h4>
                                <pre>void&nbsp;setYMode(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Sets the y-coordinate layout mode.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mode</code> - new y-coordinate layout mode.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getYMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getYMode</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;getYMode()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current y-coordinate layout mode.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>current y-coordinate layout mode.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX</h4>
                                <pre>double&nbsp;getX()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns the x location of the chart element.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the x location (left) of the chart element or 0.0 if
                                        not set.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setX-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setX</h4>
                                <pre>void&nbsp;setX(double&nbsp;x)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Specifies the x location (left) of the chart element as a
                                    fraction of the width of the chart. If Left Mode is Factor,
                                    then the position is relative to the default position for the
                                    chart element.
                                </div>
                            </li>
                        </ul>
                        <a name="getY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY</h4>
                                <pre>double&nbsp;getY()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current y location of the chart element.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the y location (top) of the chart element or 0.0 if not
                                        set.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setY-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setY</h4>
                                <pre>void&nbsp;setY(double&nbsp;y)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Specifies the y location (top) of the chart element as a
                                    fraction of the height of the chart. If Top Mode is Factor,
                                    then the position is relative to the default position for the
                                    chart element.
                                </div>
                            </li>
                        </ul>
                        <a name="setWidthMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWidthMode</h4>
                                <pre>void&nbsp;setWidthMode(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Specifies how to interpret the Width element for this manual
                                    layout.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mode</code> - new width layout mode of this manual layout.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWidthMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidthMode</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;getWidthMode()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current width mode of this manual layout.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>width mode of this manual layout.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeightMode-org.apache.poi.ss.usermodel.charts.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeightMode</h4>
                                <pre>void&nbsp;setHeightMode(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;mode)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Specifies how to interpret the Height element for this manual
                                    layout.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mode</code> - new height mode of this manual layout.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeightMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeightMode</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LayoutMode.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">LayoutMode</a>&nbsp;getHeightMode()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current height mode of this</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>height mode of this manual layout.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setWidthRatio-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWidthRatio</h4>
                                <pre>void&nbsp;setWidthRatio(double&nbsp;ratio)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Specifies the width (if Width Mode is Factor) or right (if
                                    Width Mode is Edge) of the chart element as a fraction of the
                                    width of the chart.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ratio</code> - a fraction of the width of the chart.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getWidthRatio--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidthRatio</h4>
                                <pre>double&nbsp;getWidthRatio()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current fraction of the width of the chart.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>fraction of the width of the chart or 0.0 if not set.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeightRatio-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeightRatio</h4>
                                <pre>void&nbsp;setHeightRatio(double&nbsp;ratio)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Specifies the height (if Height Mode is Factor) or bottom (if
                                    Height Mode is edge) of the chart element as a fraction of the
                                    height of the chart.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ratio</code> - a fraction of the height of the chart.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeightRatio--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getHeightRatio</h4>
                                <pre>double&nbsp;getHeightRatio()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block">Returns current fraction of the height of the chart.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>fraction of the height of the chart or 0.0 if not set.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ManualLayout.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/LineChartSeries.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html"
               title="interface in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ManualLayout.html" target="_top">Frames</a>
        </li>
        <li><a href="ManualLayout.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
